*------------------------------------------------------------------------------------------
*This is my do file to remember which specifications seem to work.  I need to use the most
*complete version of timevary so that I have all 52 cases.  In particular, I need to add
*the three extra cases for public laws.  Then this section will be done!
*
*Date:  2/22/00
*Data:  countdata.dta
*-------------------------------------------------------------------------------------------
use wpsa2.dta

keep if year<1996

*I exclude 1996, 1997 since agencies created in these two years may not
*appear in the USGM until 1999-2000. 

*These are the models that will be reported in the main table in the text.

nbreg counpma war unemploy dempres pcthmaj divided y1983 approv trend

nbreg counexec war unemploy dempres pcthmaj divided approv trend

nbreg counsec war unemploy dempres pcthmaj divided approv trend

nbreg counreor war unemploy dempres pcthmaj divided approv trend if year<1984


*Now I will estimate these same models with pctsmaj as a measure of majority
*strength.
nbreg counpma war unemploy dempres pctsmaj divided y1983 approv trend

nbreg counexec war unemploy dempres pctsmaj divided approv trend

nbreg counsec war unemploy dempres pctsmaj divided approv trend

nbreg counreor war unemploy dempres pctsmaj divided approv trend if year<1984

*Now with the smaller of the two majorities.

nbreg counpma war unemploy dempres smmaj divided y1983 approv trend

nbreg counexec war unemploy dempres smmaj divided approv trend

nbreg counsec war unemploy dempres smmaj divided approv trend

nbreg counreor war unemploy dempres smmaj divided approv trend if year<1984

*Now the public laws as a measure of congressional strength or ability to 
*legislate.

nbreg counpma war unemploy dempres publicl divided y1983 approv trend

nbreg counexec war unemploy dempres publicl divided approv trend

nbreg counsec war unemploy dempres publicl divided approv trend

nbreg counreor war unemploy dempres publicl divided approv trend if year<1984


*Now with the ideology of the president instead of democratic president.
 
nbreg counpma war unemploy pres pcthmaj divided y1983 approv trend

nbreg counexec war unemploy pres pcthmaj divided approv trend

nbreg counsec war unemploy pres pcthmaj divided approv trend

nbreg counreor war unemploy pres pcthmaj divided approv trend if year<1984


*Now with the gridlock region.

nbreg counpma war unemploy dempres grid2_n divided y1983 approv trend

nbreg counexec war unemploy dempres grid2_n divided approv trend

nbreg counsec war unemploy dempres grid2_n divided approv trend

nbreg counreor war unemploy dempres grid2_n divided approv trend if year<1984

*Now with the Length since last out of power.

nbreg counpma war unemploy dempres Length divided y1983 approv trend

nbreg counexec war unemploy dempres Length divided approv trend

nbreg counsec war unemploy dempres Length divided approv trend

nbreg counreor war unemploy dempres Length divided approv trend if year<1984

*Now with Fixed Effects.  I estimate poisson models because cannot reject
*null that alpha==0.  I also exclude dempress since all fixed effects included.

poisson counpma war unemploy dempres pcthmaj divided y1983 approv trend truman eisen kennedy johnson nixon ford carter reagan bush

poisson counexec war unemploy dempres pcthmaj divided approv trend truman eisen kennedy johnson nixon ford carter reagan bush

poisson counsec war unemploy dempres pcthmaj divided approv trend truman eisen kennedy johnson nixon ford carter reagan bush

poisson counreor war unemploy dempres pcthmaj divided approv trend truman eisen kennedy johnson nixon ford carter reagan if year<1984 

*Now with counleg.
nbreg counpma war unemploy dempres pcthmaj divided y1983 approv trend counleg

nbreg counexec war unemploy dempres pcthmaj divided approv trend counleg

nbreg counsec war unemploy dempres pcthmaj divided approv trend counleg

nbreg counreor war unemploy dempres pcthmaj divided approv trend counleg if year<1984

*Now with all of the years.
clear
use wpsa.dta

nbreg counpma war unemploy dempres pcthmaj divided y1983 approv trend

nbreg counexec war unemploy dempres pcthmaj divided approv trend

nbreg counsec war unemploy dempres pcthmaj divided approv trend

nbreg counreor war unemploy dempres pcthmaj divided approv trend if year<1984

*Now with robust standard errors of various types.  First with cluster
*on year.

keep if year<1996

nbreg counpma war unemploy dempres pcthmaj divided y1983 approv trend, cluster(year)

nbreg counexec war unemploy dempres pcthmaj divided approv trend,cluster(year)

nbreg counsec war unemploy dempres pcthmaj divided approv trend, cluster(year)

nbreg counreor war unemploy dempres pcthmaj divided approv trend if year<1984, cluster(year)

*Now cluster on Congress.
nbreg counpma war unemploy dempres pcthmaj divided y1983 approv trend, cluster(congress)

nbreg counexec war unemploy dempres pcthmaj divided approv trend,cluster(congress)

nbreg counsec war unemploy dempres pcthmaj divided approv trend, cluster(congress)

nbreg counreor war unemploy dempres pcthmaj divided approv trend if year<1984, cluster(congress)

*Now using the percentage of new agencies that are created by administrative action
*as the dependent variable.

generate total=counpma+counleg
generate adminrat=counpma/total

*first identify the data as time series data
tsset year, yearly

*now estimate a model and see if there is heteroscedasticity or autocorrelation.
regress adminrat war unemploy dempres pcthmaj divided y1983 approv trend
hettest
dwstat
dfbeta
plot DFpcthma year
plot DFapprov year

regress adminrat war unemploy dempres pctsmaj divided y1983 approv trend
regress adminrat war unemploy dempres smmaj divided y1983 approv trend
regress adminrat war unemploy dempres grid2_n divided y1983 approv trend
regress adminrat war unemploy dempres Length divided y1983 approv trend

